﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvaloniaApplicationBase.Models
{
    public partial class CatTable
    {
        public string Traits // свойство, возвращающее список черт характера кота
        {
            get
            {
                
                string s = (TraitCatTables.Count == 0) ? "Черт нет  " : (TraitCatTables.Count == 1) ? "Черта кота: " : "Черты кота: ";

                // цикл, который проходит по таблице TraitCatTables (с помощью свойства IdTraitNavigation, которое связывает данную таблицу с CatTable)
                foreach (var item in TraitCatTables)
                {
                    s += item.IdTraitNavigation.Trait+", "; // добавление черты кота в строку
                }
                return s[0..(s.Length - 2)];
            }
        }
    }
}
