using System;
using System.Collections.Generic;
using System.Linq;
using AvaloniaApplicationBase.Models;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;

namespace AvaloniaApplicationBase.ViewModels
{
	public class ShowCatsPageViewModel : ReactiveObject
	{
        // Include -  ,      
        // ThenInclude -    ,       (    moodle)
        public List<CatTable> CT => MainWindowViewModel.myConnection.CatTables.Include(x => x.GenderNavigation).Include(x => x.TraitCatTables).ThenInclude(x => x.IdTraitNavigation).ToList();
    }
}